Package org.eclipse.rdf4j.query.resultio

## Interface TupleQueryResultParser

- All Superinterfaces:
    `QueryResultParser`
  All Known Implementing Classes:
    `AbstractTupleQueryResultParser`, `BinaryQueryResultParser`, `SPARQLResultsCSVParser`, `SPARQLResultsJSONParser`, `SPARQLResultsTSVParser`, `SPARQLResultsXMLParser`, `SPARQLStarResultsJSONParser`, `SPARQLStarResultsJSONParser`, `SPARQLStarResultsTSVParser`, `SPARQLStarResultsTSVParser`, `SPARQLStarResultsXMLParser`

      public interface TupleQueryResultParser
      extends QueryResultParser

  A general interface for tuple query result parsers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` | Gets the query result format that this parser can parse.
    `void` | `parse​(InputStream in)` | Deprecated. Use `QueryResultParser.parseQueryResult(InputStream)` instead.
    `void` | `setTupleQueryResultHandler​(TupleQueryResultHandler handler)` | Deprecated. Use `QueryResultParser.setQueryResultHandler(org.eclipse.rdf4j.query.QueryResultHandler)` instead.

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getQueryResultFormat, getSupportedSettings, parseQueryResult, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Method Detail

    - #### getTupleQueryResultFormat

          TupleQueryResultFormat getTupleQueryResultFormat()

      Gets the query result format that this parser can parse.

    - #### setTupleQueryResultHandler

          @Deprecated
          void setTupleQueryResultHandler​(TupleQueryResultHandler handler)

      Deprecated.
      Use `QueryResultParser.setQueryResultHandler(org.eclipse.rdf4j.query.QueryResultHandler)` instead.
      Sets the TupleQueryResultHandler that will handle the parsed query result data.

    - #### parse

          @Deprecated
          void parse​(InputStream in)
              throws IOException,
                     QueryResultParseException,
                     TupleQueryResultHandlerException

      Deprecated.
      Use `QueryResultParser.parseQueryResult(InputStream)` instead.
      Parses the data from the supplied InputStream.
      Parameters:
        `in` - The InputStream from which to read the data.
      Throws:
        `IOException` - If an I/O error occurred while data was read from the InputStream.
        `QueryResultParseException` - If the parser has encountered an unrecoverable parse error.
        `TupleQueryResultHandlerException` - If the configured query result handler has encountered an unrecoverable error.